Bug 1111776 - symbol mysql_server_init missing
Summary: symbol mysql_server_init missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honza Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-21 10:07 UTC by Frank Büttner
Modified: 2014-07-16 02:02 UTC (History)
2 users (show)

Fixed In Version: mariadb-5.5.38-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-16 01:59:46 UTC


Attachments (Terms of Use)
patch that adds alternative version for symbols (7.74 KB, patch)
2014-06-27 06:27 UTC, Honza Horak
no flags Details | Diff

Description Frank Büttner 2014-06-21 10:07:42 UTC
Description of problem:
When I try to use the mysql workbench it will crash with:
/usr/libexec/mysql-workbench/mysql-workbench-bin: relocation error: /usr/lib64/mysql-workbench/libmysqlcppconn.so.7: symbol mysql_server_init, version libmysqlclient_18 not defined in file libmysqlclient.so.18 with link time reference


Version-Release number of selected component (if applicable):
mariadb-libs-5.5.37-1.fc19.x86_64

How reproducible:
start mysql workbench an try to connect to an server.

For F20 it seem to be fixed:
https://mariadb.atlassian.net/browse/MDEV-6270

Comment 1 Honza Horak 2014-06-27 06:21:51 UTC
Thanks for reporting. I believe adding alternative (not default) version libmysqlclient_18 for symbols that currently have version libmysqlclient_16 fixes it.

Comment 2 Honza Horak 2014-06-27 06:27:11 UTC
Created attachment 912681 [details]
patch that adds alternative version for symbols

This is a patch I'd like to apply.

Comment 3 Frank Büttner 2014-06-27 17:16:01 UTC
When an test rpm exits, I will get it an try.

Comment 4 Fedora Update System 2014-06-30 06:32:48 UTC
mariadb-5.5.38-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mariadb-5.5.38-3.fc20

Comment 5 Fedora Update System 2014-06-30 06:33:23 UTC
mariadb-5.5.38-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mariadb-5.5.38-3.fc19

Comment 6 Frank Büttner 2014-06-30 14:53:41 UTC
Tested an now now error occurs.

Comment 7 Frank Büttner 2014-06-30 14:59:55 UTC
Sorry for the mistake.
Now no errors occurs.

Comment 8 Fedora Update System 2014-06-30 23:24:50 UTC
Package mariadb-5.5.38-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mariadb-5.5.38-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7920/mariadb-5.5.38-3.fc20
then log in and leave karma (feedback).

Comment 9 Honza Horak 2014-07-01 07:31:27 UTC
(In reply to Frank Büttner from comment #7)
> Sorry for the mistake.
> Now no errors occurs.

Great, thanks for feedback.

Comment 10 Fedora Update System 2014-07-16 01:59:46 UTC
mariadb-5.5.38-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-07-16 02:02:08 UTC
mariadb-5.5.38-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.